"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const streamer_1 = require("./streamer");
class Network extends streamer_1.Streamer {
    constructor(requestWrapper) {
        super("network" /* NETWORK */);
        this.requestWrapper = requestWrapper;
    }
    onRequest(chunk) {
        this.requestWrapper.request[chunk.requestOptions.method](chunk.requestOptions, (error, response) => {
            this.respond(Object.assign({}, chunk, { response,
                error }));
        });
    }
}
exports.Network = Network;
//# sourceMappingURL=network.js.map